Mantis Bug Tracker

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000627ForumAdministrationpublic2009-11-13 16:12
Reporterhungtv 
Assigned Toadministrator 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.7.0 
Target VersionFixed in Version0.7.1 
Summary0000627: Error when viewing Messages to Approve
DescriptionHi,
When I go to Moderation page. I have a msg to approve. When I approve, it works well, but when I click to view this msg, it appears error :
"[Error in forum_display.display_post : -6502 ORA-06502: PL/SQL: numeric or value error]"

What is the problem here?
TagsNo tags attached.
Attached Filesjpg file icon view_msg_approve.JPG (18,590 bytes) 2009-11-09 08:51


jpg file icon view_msg_approve_error.JPG (25,074 bytes) 2009-11-09 08:53

- Relationships

-  Notes
~0001476
administrator (administrator)


Hello

I can not reproduce the issue on my forum

do you have a test case to reproduce the issue?
~0001479
hungtv (reporter)


I think that you just do "msg to approve" as the same as "msg that has been approved". It is ok to view "msg that has been approved".
The link of them seems to be different:
link msg to approve: /viewpost_32_1.html#0
link msg approved: /viewpost_79_1.

Could you see that?
~0001480
administrator (administrator)


The 2 links are the same the #0 is just to display the page in a specific position

The problem is that i can not reproduce it, i have try other things but unsuccessful.

Are you able to reproduce the issue? if yes can you give me a test case?
~0001488
hungtv (reporter)


:(
I don't understand much about this. J just make a test case and see that:
When I make a new post. This post has not been approved. I see the 2 link of this post are different:
viewpost_121_1.html#121
viewpost_121_1.html#0
(see figures)
~0001489
administrator (administrator)

Last edited: 2009-11-13 12:18
View 2 revisions

ok
but the difference between # 121 and # 0 is just that the browser will not go to the tag 0 since it does not exist.

The error is not coming from here.
CAn you describe me your test case so i can try to reproduce it on my forum

~0001490
hungtv (reporter)


Oh, I just realize that when I log on as hungtv who is moderator of this forum, I can see "msg to approve". but when I log on as portal who is not moderator of this forum, I can not see "msg to approve", it show error like above.
So, I think this error is due to the user log on.
and now I think you can fix it.
~0001491
administrator (administrator)


So to resumate

You create a post with a normal user, then his message is waiting for approval
If you connect as a moderator then you can see the message to approve link and you do not get any error if you try to use the direct link
But if you try to use the direct link with orcladmin that is not moderator you are getting the error?
~0001492
hungtv (reporter)


yes, even when I log on as a member of c_admin_group (PORTAL), I got error above when click the message to approve link. But when I log on as morderator of the forum, I did not got the error when click message to approve link.
So, how can you fix that?
~0001493
administrator (administrator)


i have been able to reproduce the issue. If you do not use direct link to a post that needs to be approve the issue is not present.
~0001494
administrator (administrator)


found where the problem is
~0001495
administrator (administrator)


fixed

- Issue History
Date Modified Username Field Change
2009-11-09 08:51 hungtv New Issue
2009-11-09 08:51 hungtv File Added: view_msg_approve.JPG
2009-11-09 08:53 hungtv File Added: view_msg_approve_error.JPG
2009-11-09 22:54 administrator Status new => assigned
2009-11-09 22:54 administrator Assigned To => administrator
2009-11-09 23:08 administrator Note Added: 0001476
2009-11-12 05:58 hungtv Note Added: 0001479
2009-11-12 10:20 administrator Note Added: 0001480
2009-11-13 11:51 hungtv Note Added: 0001488
2009-11-13 11:52 administrator Note Added: 0001489
2009-11-13 12:18 administrator Note Edited: 0001489 View Revisions
2009-11-13 12:23 hungtv Note Added: 0001490
2009-11-13 12:31 administrator Note Added: 0001491
2009-11-13 13:03 hungtv Note Added: 0001492
2009-11-13 13:57 administrator Note Added: 0001493
2009-11-13 13:57 administrator Status assigned => confirmed
2009-11-13 14:10 administrator Note Added: 0001494
2009-11-13 16:12 administrator Note Added: 0001495
2009-11-13 16:12 administrator Status confirmed => resolved
2009-11-13 16:12 administrator Fixed in Version => 0.7.1
2009-11-13 16:12 administrator Resolution open => fixed